| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
WellHorIntersectFinder Class Reference
WellAttrib

Used to give well/horizon intersection. In theory more than one intersection is possible ( in case of faults or deviated tracks along the horizon ) but only one pos will be returned. More...

`#include <wellhorpos.h>`

## Public Member Functions
| WellHorIntersectFinder (const Well::Track &, const Well::D2TModel *=nullptr)
| ~WellHorIntersectFinder ()
| a d2t model is needed if z is time
float | findZIntersection () const
void | setHorizon (const EM::ObjectID &emid)

## Protected Member Functions
float | intersectPosHor (const Coord3 &) const

## Protected Attributes
const Well::D2TModel * | d2t_
const EM::Horizon2D * | hor2d_
const EM::Horizon3D * | hor3d_
const Well::Track & | track_

## Detailed Description

Used to give well/horizon intersection. In theory more than one intersection is possible ( in case of faults or deviated tracks along the horizon ) but only one pos will be returned.

<>

## Constructor & Destructor Documentation

## ◆ WellHorIntersectFinder()

WellHorIntersectFinder::WellHorIntersectFinder | ( | const Well::Track & | ,
|  | const Well::D2TModel * | = nullptr )

## ◆ ~WellHorIntersectFinder()

WellHorIntersectFinder::~WellHorIntersectFinder | ( |  | ) |

a d2t model is needed if z is time

## Member Function Documentation

## ◆ findZIntersection()

float WellHorIntersectFinder::findZIntersection | ( |  | ) | const

## ◆ intersectPosHor()

float WellHorIntersectFinder::intersectPosHor | ( | const Coord3 & |  | ) | const
| protected

## ◆ setHorizon()

void WellHorIntersectFinder::setHorizon | ( | const EM::ObjectID & | emid | ) |

## Member Data Documentation

## ◆ d2t_

const Well::D2TModel* WellHorIntersectFinder::d2t_
| protected

## ◆ hor2d_

const EM::Horizon2D* WellHorIntersectFinder::hor2d_
| protected

## ◆ hor3d_

const EM::Horizon3D* WellHorIntersectFinder::hor3d_
| protected

## ◆ track_

const Well::Track& WellHorIntersectFinder::track_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025